## org.apache.mahout.cf.taste.example.email
Enum MailToRecMapper.Counters

    java.lang.Object
      java.lang.Enum<MailToRecMapper.Counters>
          org.apache.mahout.cf.taste.example.email.MailToRecMapper.Counters

All Implemented Interfaces:
  Serializable, Comparable<MailToRecMapper.Counters>

Enclosing class:
  MailToRecMapper

    public static enum MailToRecMapper.Counters

extends Enum<MailToRecMapper.Counters>

Enum Constant Summary
`ORIGINAL`
`REFERENCE`

Method Summary
`static MailToRecMapper.Counters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MailToRecMapper.Counters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REFERENCE

    public static final MailToRecMapper.Counters REFERENCE

### ORIGINAL

    public static final MailToRecMapper.Counters ORIGINAL

Method Detail

### values

    public static MailToRecMapper.Counters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MailToRecMapper.Counters c : MailToRecMapper.Counters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MailToRecMapper.Counters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.